#carta {

    width: 100%;

    display: flex;

    justify-content: center;

    flex-wrap: wrap;

    column-gap: 10px;

    row-gap: 10px;
}



.tipo {
    width: 100px;
    height: auto;
    color: var(--fuente2);
    background-color: var(--fondoItem);
    border-radius: 4px;
    padding: 8px;
    box-shadow: -2px 1px 8px rgba(0, 0, 0, 0.2);
}



.producto {
    width: 150px;
    height: auto;
    color: var(--fuente2);
    padding: 5px;
    border-radius: 4px;
    align-content: space-between;
    background-color: var(--fondoItem);
    box-shadow: -2px 1px 8px rgba(0, 0, 0, 0.2);
}

.producto-d {
    width: 300px;
    height: auto;
    color: white;
    padding: 5px;
    border-radius: 4px;
    align-content: space-between;
    animation-name: destacar;
    animation-timing-function: linear;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    box-shadow: -2px 1px 8px rgba(0, 0, 0, 0.2);
    transition: all ease-in 2s;
}

.producto-d:hover {
    transform: scale(1.2);
}

@keyframes destacar {

    0% {
        transform: translateY(0);
        background: #1562f1;
    }

    25% {
        transform: translateY(5px);
        background: #2e0a81;
    }

    50% {
        transform: translateY(0);
        background: #2e0a81;
    }

    75% {
        transform: translateY(-5px);
        background: #2e0a81;
    }

    100% {
        transform: translateY(0);
        background: #1562f1;
    }
}

.producto p {

    margin: 0px;

    padding: 5px;

    background-color: var(--fondoItem);

    font-size: 10pt;

    color: var(--fuente2);

    overflow: hidden;

    max-height: 60px;

}



.title2 {

    display: flex;

    padding: 10px;

    border-radius: 20px;

    width: 100%;

    justify-content: space-between;

    background: white;

    align-items: center;

    align-content: center;

}



.destacado {
    box-shadow: inset 0px 0px 40px rgb(255, 50, 2);
}



.tipo .icon {

    width: 64px;

}



.imgPortada {

    width: 100%;
    aspect-ratio: 1/1;

    object-fit: contain;

    border-radius: 4px;



}


.producto h4 {

    font-size: 7pt;
    color: var(--fuente2);
    font-weight: bold;

}

.tipo h2,


.producto h2,

.tipo h4 {

    margin: 0px;
    width: 100%;
    font-size: 7pt;
    text-align: center;
    color: var(--fuente2);

}

.tipo img,
.producto img {
    background-color: var(--fondoPrincipal);
}



.productoProfile h4 {
    width: 100%;
    text-align: center;
}


.productoProfile {

    width: 100%;

    max-width: 400px;

    padding: 10px;

    padding-bottom: 60px;

    margin-bottom: 20px;

    background-color: var(--fondoItem);

    color: var(--fuente2);

    border-radius: 4px;

    row-gap: 10px;

    align-content: space-between;

}



.productoProfile .form-item {

    display: flex;

    justify-content: center;

    width: 100%;

    flex-wrap: wrap;

}



.productoProfile .form-item span {

    width: 100%;

    text-align: center;

}



.productoProfile .form-item input {

    padding: 10px;

    width: 60px;

    text-align: center;

}





.productoProfile .extras {

    width: 100%;

    display: flex;

    align-content: center;

    row-gap: 5px;

    flex-wrap: wrap;

}



.productoProfile .extras .extra {

    width: 100%;

    display: flex;

    align-content: center;

    justify-content: space-between;

    align-items: center;

    padding: 5px;



}



.productoProfile .extras .extra:nth-child(odd) {

    background: var(--secondary);



}



.productoProfile .extras .extra input {

    width: 100%;

    display: flex;

    width: 50px;

    padding: 5px;

    text-align: center;

}



.imgPortadaB {

    max-width: 300px;

}

.productoInline {
    width: 100%;
    background: rgba(255, 255, 255, 0.75);
    display: flex;
    align-items: center;
    align-content: center;
    column-gap: 10px;
}

.categoriaWraper {
    display: flex;
    flex-wrap: wrap;
    row-gap: 5px;
}

.productoInline a {
    text-decoration: none;
    color: black;
}

.categoriaInline {
    text-decoration: none;
    background-color: black;
    color: white;
}

.productoInline .body {
    text-align: left;
    width: calc(100% - 160px);
    background-color: white;
    padding: 10px;
    border-radius: 5px;
}

.productoInline:nth-child(odd) {
    background-color: rgba(250, 120, 120, 0.9);
}

.productoInline .body h4,
.productoInline .body p {
    text-align: left;
    color: black;
}

.productoInline .precioWrapper {
    color: black;
    width: calc(64px);

}

#tiposWrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    column-gap: 5px;
    position: fixed;
    top: 20px;
    z-index: 3000;
    left: 0px;
}

#tiposWrapper button {
    height: 64px;
}

#tipos {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: 5px;
    top: 20px;
}

.ocultarTipos {
    left: calc(-100% + 32px) !important;
}